#ifndef __PROFILE_H__
#define __PROFILE_H__

#pragma pack (1)

typedef struct _rule
 {
  char flags[FLAGS_LEN];
  char pname[PNAME_LEN];
  char uid[UID_LEN];	// There may be special chars (like '*') 
  char pid[PID_LEN];
  struct 
   {
    char filename[256];
    //FILE *logfd;
    int logfd;
   } log;
 } rule;

typedef struct _ProfileData
 {
  ULONG TestMask;
  rule AtRunLog;
  rule FSOpenLog;
  rule ModInstLog;
  rule NetOutLog;
  rule NetInLog;
  rule LogUserLog;
  rule SetUIdLog;
  char Symlinks,Directories,CrossFs;
  char ExcludeFiles,*ExcludeDir,ExcludeMask[81];
  char CommonLog,CommonLogFileName[MAXLOGNAMELEN],Append,LogFileLimit,LogFileSize[8];
  char CommonLogfd;
  char Warnings,ShowOK,OtherMessages,UseTime;
 } ProfileData;

extern ProfileData prf_data;
extern unsigned char prf_global_state;

void SetDefaultOptions(void);
ULONG LoadProfile(char *name);

#endif
