#!/bin/bash
#  0 - No viruses were found
#  1 - Virus scan was not complete
#  2 - Found corrupted or changed virus
#  3 - Suspicious objects were found
#  4 - Known viruses were detected
#  5 - All detected viruses have been disinfected
#  6 - All detected viruses have been deleted
#  7 - File AvpDaemon is corrupted
#  8 - Corrupted objects were found

# ./AvpDaemon [options] path[/name][...]
# Sample 1:
# ./AvpDaemon /var -o{/var/spool/mail/}
# or: ./AvpDaemon /var/spool -o:/var/spool/mail 
# Sample 2:
# ./AvpDaemon  -o{/home} -* -- /W=/home/AvpDaemon.log
# Sample 3:
# ./AvpDaemon /home -o{/home/user/virs} -WU=/home/user/usrep.lg
# Sample 4
# REPFILE=/tmp/checkrep.tmp.$$
# ./AvpDaemon /home -WU=$REPFILE -o:/home/slava/Vir1/Long >/dev/null
#
# exitCode=$?
#
# if [ -f $REPFILE ]; then
#    more $REPFILE
#    rm -f $REPFILE
# fi

AVPDaemon $1 $2 $3 $4 $5 $6 $7 $8 $9

exitCode=$?

lo=$[$exitCode%16]
hi=$[$exitCode/16]

case $lo in
 8)
  echo 3 - Corrupted objects were found
  ;;
 7)
  echo 7 - File AvpDaemon is corrupted
  ;;
 6)
  echo 6 - All viruses deleted
  ;;
 5)
  echo 5 - All viruses disinfected
  ;;
 4)
  echo 4 - Known viruses were detected
  ;;
 3)
  echo 3 - Suspicious objects were found
  ;;
 2)
  echo 2 - Found corrupted or changed virus
  ;;
 1)
  echo 1 - Virus scan was not complete
  ;;
 0)
  echo 0 - No viruses were found
  ;;
 *)
  echo Error!
esac

case $hi in
 8)
  echo Internal error: Integrity failed.
  ;;
 4)
  echo Internal error: Bases not found.
  ;;
esac

exit 0