#!/bin/bash
#  0 - No viruses were found
#  1 - Virus scan was not complete
#  3 - Suspicious objects were found
#  4 - Known viruses were detected
#  5 - All detected viruses have been disinfected
#  6 - All detected viruses have been deleted
#  7 - File AvpLinux is corrupted or found same error
#  8 - Corrupted objects were found

#./AvpLinux /home/slava/Vir1
AVPLinux $$

exitCode=$?

lo=$[$exitCode%16]
hi=$[$exitCode/16]

echo $lo":"$hi

case $lo in
 8)
  echo 3 - Corrupted objects were found
  ;;
 7)
  echo 7 - File AvpLinux is corrupted or found same error
  ;;
 6)
  echo 6 - All viruses deleted
  ;;
 5)
  echo 5 - All viruses disinfected
  ;;
 4)
  echo 4 - Known viruses were detected
  ;;
 3)
  echo 3 - Suspicious objects were found
  ;;
 1)
  echo 1 - Virus scan was not complete
  ;;
 0)
  echo 0 - No viruses were found
  ;;
 *)
  echo Error!
esac

case $hi in
 8)
  echo Internal error: Integrity failed.
  ;;
 4)
  echo Internal error: Bases not found.
  ;;
esac

exit 0